from typing import Any, Callable, Dict, List, TypedDict
from enum import Enum

class AssistantRole(Enum):
    USER = "user"

class ChatgptAssistantMessage(TypedDict):
    role: AssistantRole
    content: str

class FunctionRole(Enum):
    USER = "user"

class ChatgptFunctionMessage(TypedDict):
    role: FunctionRole
    content: str

class CallableFunction(TypedDict):
    name: str
    description: str
    parameters: Dict[str, Any]

OTPHash = Dict[str, str]